
Redmine - Defect #4841

Error encoding Created in /admin/projects 

2010-02-14 12:20 - Oleg Volkov

Status: Closed Start date: 2010-02-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 0.9.2

Description

In page /admin/projects columns Created - error encoding for date

Date format set up: "14 Feb 2010"

Lang: Russian

All text in page - UTF-8 encoding

Columns "Created" in "KOI8-R" encoding (this is system encoding on Linux). Text in columns "14 Фев 2010", not depend of

Language setting (in profile).

If exec

1. LANG=C /etc/init.d/redmine restart

date in this columns change "14 Feb 2010".

1. cat /proc/version

Linux version 2.6.28-hardened-r9-flot (root@server) (gcc version 3.4.6 (Gentoo Hardened 3.4.6-r2 p1.6, ssp-3.4.6-1.0,

pie-8.7.10)) #4 SMP Fri Nov 20 10:28:50 MSK 2009

dev-ruby/rails

Latest version installed: 2.3.5

dev-ruby/mysql-ruby

Latest version installed: 2.7.5

dev-lang/ruby

Latest version installed: 1.8.7_p174-r1

dev-db/mysql

Latest version installed: 5.0.84-r1

1. locale

LANG=ru_RU.KOI8-R

LC_CTYPE="ru_RU.KOI8-R"

LC_NUMERIC="ru_RU.KOI8-R"

LC_TIME="ru_RU.KOI8-R"

LC_COLLATE="ru_RU.KOI8-R"

LC_MONETARY="ru_RU.KOI8-R"

LC_MESSAGES="ru_RU.KOI8-R"

LC_PAPER="ru_RU.KOI8-R"

LC_NAME="ru_RU.KOI8-R"

LC_ADDRESS="ru_RU.KOI8-R"

LC_TELEPHONE="ru_RU.KOI8-R"

LC_MEASUREMENT="ru_RU.KOI8-R"

LC_IDENTIFICATION="ru_RU.KOI8-R"

LC_ALL=

Related issues:

Is duplicate of Redmine - Defect #2190: Month names not translated to german Closed 2008-11-14

History

#1 - 2010-02-14 12:47 - Jean-Philippe Lang

- Category set to Translations
https://www.redmine.org/projects/redmine/repository/svn/revisions/2
https://www.redmine.org/issues/4
https://www.redmine.org/projects/redmine/repository/svn/revisions/1
https://www.redmine.org/projects/redmine/repository/svn/revisions/1


- Status changed from New to Closed

- Resolution set to Duplicate
